Gecode::IntSetInit< I > Class Template Reference

Integer set initialization. More...

`#include <int-set-1.hpp>`

## Static Public Member Functions

static void | init (IntSet &s, I &i)
| Initialize s with iterator i.

## Detailed Description

template<class I>
class Gecode::IntSetInit< I >

Integer set initialization.

Helper class to allow partial specialization of template member function.

Definition at line 53 of file int-set-1.hpp.

## Member Function Documentation

## init()

template<class I>

void Gecode::IntSetInit< I >::init | ( | IntSet & | s,
|  | I & | i )

inline static

Initialize s with iterator i.

Definition at line 56 of file int-set-1.hpp.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/int-set-1.hpp